Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BoPPoPInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.BoPPoPInfo

    public class BoPPoPInfo

extends ChartTypeInfo

contains the information of BoPPoP chart type in the file. The class extends chartTypeInfo

Field Summary
`static byte` | `BAROFPIE`
`static short` | `CUSTOM`
`static byte` | `NORMALPIE`
`static short` | `PERCENT`
`static byte` | `PIEOFPIE`
`static short` | `POSITION`
`static short` | `VALUE`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`BoPPoPInfo(short dataLabel, boolean is3D, Info3D info3D, byte style)` Constructs class BarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getGap()` Get space between the first pie and the second
`short` | `getPie2Size()` Get size of second pie as a percent of the first
`short` | `getSpit()` Get split type see param POSITION see param VALUE see param PERCENT see param CUSTOM
`short` | `getSplitPercent()` Get percent go to the other pie/bar, if spit = PERCENT
`short` | `getSplitPos()` Get position go to the other pie/bar, if spit = POSITION
`double` | `getSplitValue()` Get value go to the other pie/bar if spit = VALUE
`short` | `getStyle()` Get the style of the bar chart see param NORMALPIE see param PIEOFPIE see param BAROFPIE
`boolean` | `hasShadow()` get the second bar/pie has a shadow or not
`boolean` | `isAutoSplit()` get use default split value or not
`void` | `setAutoSplit(boolean b)` set use default split value or not
`void` | `setGap(short gap)` Set space between the first pie and the second
`void` | `setPie2Size(short pie2Size)` Set size of second pie as a percent of the first
`void` | `setShadow(boolean b)` set the second bar/pie has a shadow or not
`void` | `setSpit(short spit)` Set split type see param POSITION see param VALUE see param PERCENT see param CUSTOM
`void` | `setSplitPercent(short splitPercent)` Set percent go to the other pie/bar, if spit = PERCENT
`void` | `setSplitPos(short splitPos)` Set position go to the other pie/bar, if spit = POSITION
`void` | `setSplitValue(double splitValue)` Set value go to the other pie/bar
`void` | `setStyle(byte style)` Set the style of the bar chart see param NORMALPIE see param PIEOFPIE see param BAROFPIE

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMALPIE

    public static final byte NORMALPIE

See Also:
  Constant Field Values

### PIEOFPIE

    public static final byte PIEOFPIE

See Also:
  Constant Field Values

### BAROFPIE

    public static final byte BAROFPIE

See Also:
  Constant Field Values

### POSITION

    public static final short POSITION

See Also:
  Constant Field Values

### VALUE

    public static final short VALUE

See Also:
  Constant Field Values

### PERCENT

    public static final short PERCENT

See Also:
  Constant Field Values

### CUSTOM

    public static final short CUSTOM

See Also:
  Constant Field Values

Constructor Detail

### BoPPoPInfo

    public BoPPoPInfo(short dataLabel,
                      boolean is3D,
                      Info3D info3D,
                      byte style)

  Constructs class BarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 2 for show percent, 22 for show label and percent, 16 for show label
    `is3D` - Is 3D chart or not
    `type` - type of chart, normalpie, pieofpie or barofpie

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### isAutoSplit

    public boolean isAutoSplit()

  get use default split value or not

  Returns:
    use default split value or not

### setAutoSplit

    public void setAutoSplit(boolean b)

  set use default split value or not

  Parameters:
    `b` - - use default split value or not

### hasShadow

    public boolean hasShadow()

  get the second bar/pie has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    the second bar/pie has a shadow or not

### setShadow

    public void setShadow(boolean b)

  set the second bar/pie has a shadow or not

  Parameters:
    `b` - - the second bar/pie has a shadow or not

### getSpit

    public short getSpit()

  Get split type see param POSITION see param VALUE see param PERCENT see param CUSTOM

  Returns:
    split type

### setSpit

    public void setSpit(short spit)

  Set split type see param POSITION see param VALUE see param PERCENT see param CUSTOM

  Parameters:
    `spit` - split type

### getSplitPos

    public short getSplitPos()

  Get position go to the other pie/bar, if spit = POSITION

  Returns:
    position go to the other pie/bar

### setSplitPos

    public void setSplitPos(short splitPos)

  Set position go to the other pie/bar, if spit = POSITION

  Parameters:
    `splitPos` - position go to the other pie/bar

### getSplitPercent

    public short getSplitPercent()

  Get percent go to the other pie/bar, if spit = PERCENT

  Returns:
    percent go to the other pie/bar

### setSplitPercent

    public void setSplitPercent(short splitPercent)

  Set percent go to the other pie/bar, if spit = PERCENT

  Parameters:
    `splitPos` - percent go to the other pie/bar

### getPie2Size

    public short getPie2Size()

  Get size of second pie as a percent of the first

  Returns:
    size of second pie as a percent of the first

### setPie2Size

    public void setPie2Size(short pie2Size)

  Set size of second pie as a percent of the first

  Parameters:
    `pie2Size` - size of second pie as a percent of the first

### getGap

    public short getGap()

  Get space between the first pie and the second

  Returns:
    space between the first pie and the second

### setGap

    public void setGap(short gap)

  Set space between the first pie and the second

  Parameters:
    `gap` - space between the first pie and the second

### getSplitValue

    public double getSplitValue()

  Get value go to the other pie/bar if spit = VALUE

  Returns:
    value go to the other pie/bar

### setSplitValue

    public void setSplitValue(double splitValue)

  Set value go to the other pie/bar

  Parameters:
    `splitPos` - value go to the other pie/bar if spit = VALUE

### getStyle

    public short getStyle()

  Get the style of the bar chart see param NORMALPIE see param PIEOFPIE see param BAROFPIE

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the bar chart

### setStyle

    public void setStyle(byte style)

  Set the style of the bar chart see param NORMALPIE see param PIEOFPIE see param BAROFPIE

  Parameters:
    `style` - Style of the bar chart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD